BellmanFordWizardBase< GR, LEN > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
BellmanFordWizardBase< GR, LEN > Class Template Reference

## Detailed Description

### template<typename GR, typename LEN>
class lemon::BellmanFordWizardBase< GR, LEN >

Default traits class used by BellmanFordWizard.

Template Parameters

  GR | The type of the digraph.
  LEN | The type of the length map.

`#include <lemon/bellman_ford.h>`

Inheritance diagram for BellmanFordWizardBase< GR, LEN >:
[legend]

## Public Member Functions
| BellmanFordWizardBase ()
| Constructor. More...
| BellmanFordWizardBase (const GR &gr, const LEN &len)
| Constructor. More...

## Additional Inherited Members
Public Types inherited from BellmanFordWizardDefaultTraits< GR, LEN >
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef LEN | LengthMap
| The type of the map that stores the arc lengths. More...
typedef LEN::Value | Value
| The type of the arc lengths.
typedef BellmanFordDefaultOperationTraits < Value > | OperationTraits
| Operation traits for Bellman-Ford algorithm. More...
typedef GR::template NodeMap < typename GR::Arc > | PredMap
| The type of the map that stores the last arcs of the shortest paths. More...
typedef GR::template NodeMap < Value > | DistMap
| The type of the map that stores the distances of the nodes. More...
typedef lemon::Path< Digraph > | Path
| The type of the shortest paths. More...
Static Public Member Functions inherited from BellmanFordWizardDefaultTraits< GR, LEN >
static PredMap * | createPredMap (const GR &g)
| Instantiates a `PredMap`. More...
static DistMap * | createDistMap (const GR &g)
| Instantiates a `DistMap`. More...

## Constructor & Destructor Documentation

BellmanFordWizardBase | ( |  | ) |
| inline

This constructor does not require parameters, it initiates all of the attributes to default values `0`.

BellmanFordWizardBase | ( | const GR & | gr,
|  | const LEN & | len
| ) |  |
| inline

This constructor requires two parameters, others are initiated to `0`.

Parameters

  gr | The digraph the algorithm runs on.
  len | The length map.